Bug 1348779 (CVE-2015-8931) - CVE-2015-8931 libarchive: Undefined behavior (signed integer overflow) in mtree parser
Summary: CVE-2015-8931 libarchive: Undefined behavior (signed integer overflow) in mtr...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8931
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352776 1353065 1353066
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-22 04:20 UTC by Doran Moppert
Modified: 2019-09-29 13:51 UTC (History)
4 users (show)

Fixed In Version: libarchive 3.2.0
Doc Type: If docs needed, set a value
Doc Text:
Undefined behavior (signed integer overflow) was discovered in libarchive, in the MTREE parser's calculation of maximum and minimum dates. A crafted mtree file could potentially cause denial of service.
Clone Of:
Environment:
Last Closed: 2016-10-18 04:59:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC

Description Doran Moppert 2016-06-22 04:20:49 UTC
Undefined behaviour (signed integer overflow) was discovered in libarchive,
in the MTREE parser's calculation of maximum and minimum dates.

Upstream bug:
    https://github.com/libarchive/libarchive/issues/539

Upstream fix:
    https://github.com/libarchive/libarchive/commit/b31744d

Comment 1 Doran Moppert 2016-07-05 04:38:12 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]

Comment 3 Pavel Raiskup 2016-07-11 06:29:51 UTC
FTR: Also 11f6da24 should be backported.

Comment 5 errata-xmlrpc 2016-09-12 20:14:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.